import * as insuranceClaimServices from '@/services/api/InsuranceClaim';
import { useQuery, useQueryClient } from '@tanstack/vue-query';

export function useInsuranceClaimChannelList() {
  const { data: insuranceClaimChannelList } = useQuery({
    queryKey: ['insuranceClaimServices/getInsuranceClaimChannelList'],
    queryFn: async () => {
      let res = await insuranceClaimServices.getInsuranceClaimChannelList({ showLoading: false });
      return res;
    },
    placeholderData: () => [] as string[],
  });

  const insuranceClaimChannelListForSelect = computed(() => {
    return insuranceClaimChannelList.value.map((item) => ({
      label: item,
      value: item,
    }));
  });

  return {
    insuranceClaimChannelList,
    insuranceClaimChannelListForSelect,
  };
}
